<template>
    <div class="players">
      <div v-if="!loading">
        <h1>Top 10 Player</h1>
        <div class="table-player">
          <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col">Name</th>
                <th scope="col">Money</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="player in players" :key="player.id">
                <td>{{ player.name }}</td>
                <td>{{ player.point }} USD</td>
              </tr>
              
            </tbody>
          </table>
        </div>
      </div>
      <div v-if="loading">
        <img src="../../public/1495.gif" class="center" alt="" />
      </div>
    </div>
</template>

<script>
import {mapState, mapActions} from 'vuex'

export default {
    name: 'TablePlayer',
    computed:{
        ...mapState({
            players: (state) => state.Final.players,
            loading: (state) => state.Final.loading_player,
        }),
    },
    methods: {
        ...mapActions({
            fetchData: "SET_PLAYERS",
        }),
    },
    created(){
        this.fetchData()
    }

}
</script>

<style scoped>
.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
}
</style>
